@import "./fonts/fonts.css";

:root {
  color-scheme: dark;
  --bg: black;
  --fg: white;
  --muted: #b3b3b3;

  --space-1: 2px;
  --space-2: 4px;
  --space-3: 8px;
  --space-4: 12px;
  --space-5: 16px;
}

body {
  font-family: "Arvo";
  min-height: 100vh;
  margin: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  color: var(--fg);
}

.bubble {
  border: 1px solid var(--fg);
  border-radius: 5px;
}
a.bubble {
  transition: filter 0.15s ease;
  text-decoration: none;
  color: var(--fg);
  &:hover {
    filter: brightness(70%);
  }
}

.glslCanvas {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
}

.foreground {
  display: flex;
  flex-direction: column;
  gap: var(--space-3);

  width: fit-content;
  max-width: min(600px, 100% - 2rem);
}

.content {
  background-color: var(--bg);
  display: flex;
  flex-direction: column;
  gap: var(--space-4);
  padding: var(--space-5);
}

.nav {
  font-family: "Cascadia Mono";
  display: flex;
  flex-direction: row;
  gap: var(--space-2);
  a {
    background-color: var(--bg);
    padding: var(--space-1);
    font-size: 0.9rem;
  }
}

.name {
  font-family: "Montserrat Alternates";
  font-weight: 800;
  margin: 0;
}

.links {
  display: flex;
  flex-direction: column;
  gap: var(--space-2);
  a {
    padding: var(--space-1);
    display: flex;
    align-items: center;
  }
  .icon {
    width: 16px;
    padding: var(--space-2);
    padding-right: var(--space-3);
    filter: grayscale(100%);
    &.invert {
      filter: grayscale(100%) invert(100%);
    }
  }
}

.construction {
  color: var(--muted);
  font-style: italic;
  margin: 0;
}
